commons-issues mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From "Niall Pemberton (JIRA)" <j...@apache.org>
Subject [jira] Commented: (MATH-275) MANIFEST.MF contains incorrect "Import-Package" OSGi header (makes it unusable for OSGi)
Date Sun, 07 Jun 2009 22:22:07 GMT

    [ https://issues.apache.org/jira/browse/MATH-275?page=com.atlassian.jira.plugin.system.issuetabpanels:comment-tabpanel&focusedCommentId=12717103#action_12717103
] 

Niall Pemberton commented on MATH-275:
--------------------------------------

Also Martin Oberhuber's response indicated the usage patterns with eclipse is different from
other OSGi containers

http://commons.markmail.org/message/44llxa5oa4rtefa7

Seems like we can't satisfy all camps, so we chose to follow the advice from Apache Felix.
I would only be in favour of changing what we do here in commons if the experts from Apache
Felix changed their advice, so if you want to discuss this further it might be better to do
it on the Felix mailing list. If you can persuade them to change their advice then I'm sure
we would follow it.

> MANIFEST.MF contains incorrect "Import-Package" OSGi header (makes it unusable for OSGi)
> ----------------------------------------------------------------------------------------
>
>                 Key: MATH-275
>                 URL: https://issues.apache.org/jira/browse/MATH-275
>             Project: Commons Math
>          Issue Type: Bug
>    Affects Versions: 1.2
>            Reporter: Paul Field
>
> The MANIFEST.MF file contains this OSGi header:
> Import-Package: org.apache.commons.discovery.tools,
>  org.apache.commons.math;version=1.2,
>  org.apache.commons.math.analysis;version=1.2,
>  org.apache.commons.math.complex;version=1.2,
> ...
> This header defines what the bundle requires from the OSGi runtime and so it shouldn't
include the packages defined in the bundle (i.e. all the org.apache.commons packages). I suspect
it shouldn't include the org.apache.commons.discovery.tools package either as I can't see
that math has a dependency on that (I could be wrong :-) ).
> The presence of this header causes the Math library to be unusable as an OSGi bundle
in Eclipse RCP development (and I suspect in any OSGI container).

-- 
This message is automatically generated by JIRA.
-
You can reply to this email to add a comment to the issue online.


Mime
View raw message